#
# spec file for package mdevctl
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mdevctl
Version:        0.78
Release:        1.24
Summary:        Mediated device management and persistence utility
License:        LGPL-2.1-or-later
URL:            https://github.com/mdevctl/mdevctl
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(udev)
Requires:       findutils
Requires:       jq
Requires:       udev
Requires:       util-linux
BuildArch:      noarch

%description
mdevctl is a utility for managing and persisting devices in the mediated device
framework of the Linux kernel. Mediated devices are sub-devices of a parent
device (e.g. a vGPU) which can be dynamically created and potentially used by
drivers like vfio-mdev for assignment to virtual machines.

%prep
%autosetup -p1

%build

%install
%make_install

%files
%license COPYING
%doc README.md
%{_sbindir}/mdevctl
%{_sbindir}/lsmdev
%{_udevrulesdir}/60-mdevctl.rules
%dir %{_sysconfdir}/mdevctl.d
%{_mandir}/man8/mdevctl.8%{?ext_man}
%{_mandir}/man8/lsmdev.8%{?ext_man}

%changelog
* Tue Dec  8 2020 jfehlig@suse.com
- Update to version 0.78:
  * Automatic version commit for tag 0.78
  * use standard bash path
  * avoid other tags spilling into the .spec changelog
  * mdevctl: fix cleanup on error when creating and removing mdev
  * version support
  * Fix attributes getting applied via start-parent-mdevs
  * mdevctl: fix cleanup on error when writing to attribute
  * Remove never used 'available' option
  * Fix attribute validation
  jsc#SLE-15861, bsc#1179770
* Wed Jul  1 2020 jfehlig@suse.com
- Initial packaging of mdevctl utility
